Summary: OCI runtime written in C
Name: crun
Version: 1.7.2
Release: %mkrel 1
Source0: https://github.com/containers/crun/releases/download/%{version}/%{name}-%{version}.tar.gz
License: GPLv2+
Group: System/Configuration
URL: https://github.com/containers/crun

# We always run autogen.sh
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: python3
BuildRequires: git
BuildRequires: pkgconfig(libcap)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(yajl)
BuildRequires: pkgconfig(libseccomp)
BuildRequires: python3-libmount
BuildRequires: libtool
BuildRequires: go-md2man
BuildRequires: glibc-static-devel
Provides: oci-runtime = %{version}

%description
crun is a runtime for running OCI containers.

%prep
%autosetup -n %{name}-%{version}

%build
./autogen.sh
%configure --disable-silent-rules

%make_build

%install
%make_install
rm -rf %{buildroot}/usr/lib*

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/*


%changelog
* Sun Dec 04 2022 joequant <joequant> 1.7.2-1.mga9
+ Revision: 1917863
- update to 1.7.2

* Sat Nov 19 2022 joequant <joequant> 1.7-1.mga9
+ Revision: 1909039
- update to 1.7

* Sun Oct 02 2022 joequant <joequant> 1.6-1.mga9
+ Revision: 1893766
- update to 1.6

* Sun Jul 10 2022 joequant <joequant> 1.4.5-1.mga9
+ Revision: 1868208
- update to 1.4.5

* Wed Apr 13 2022 pol4n <pol4n> 1.4.4-1.mga9
+ Revision: 1849261
- Update to 1.4.4 (mga#30267)

* Wed Mar 30 2022 umeabot <umeabot> 1.3-2.mga9
+ Revision: 1833699
- Mageia 9 Mass Rebuild

* Mon Nov 15 2021 joequant <joequant> 1.3-1.mga9
+ Revision: 1757037
- update to 1.3

* Thu Oct 21 2021 joequant <joequant> 1.2-1.mga9
+ Revision: 1752429
- update to 1.2

* Tue Oct 05 2021 joequant <joequant> 1.1-1.mga9
+ Revision: 1749524
- update to 1.1

* Thu Aug 12 2021 joequant <joequant> 0.21-1.mga9
+ Revision: 1741129
- update to 0.21

* Sun Apr 11 2021 joequant <joequant> 0.19-1.mga9
+ Revision: 1714789
- update to 0.19
- update to 0.18

* Tue Feb 02 2021 daviddavid <daviddavid> 0.16-2.mga8
+ Revision: 1674423
- build dependency on python2 is not needed, let's change it for python3

* Fri Dec 18 2020 joequant <joequant> 0.16-1.mga8
+ Revision: 1660557
- update to 0.16

* Wed Nov 04 2020 joequant <joequant> 0.15.1-1.mga8
+ Revision: 1642690
- update to 0.15.1 and use local configure

* Wed Sep 23 2020 joequant <joequant> 0.15-1.mga8
+ Revision: 1629628
- update to 0.15

* Fri Aug 07 2020 joequant <joequant> 0.14.1-1.mga8
+ Revision: 1611678
- update to 0.14.1

* Sun Apr 05 2020 joequant <joequant> 0.13-1.mga8
+ Revision: 1564666
- fix group
- imported package crun

